### Method

# RB SourceSearch register

#### Declaration [src]

    void
    rb_source_search_register (
      RBSourceSearch* search,
      const char* name
    )

#### Description [src]

Registers a named search instance that can be used in menus and search action states.

#### Parameters

`name`

  Type: `const char*`

  Name to register.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.